package intrinsic.mx.collections;

public class ArrayList extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.collections.IList, intrinsic.mx.core.IPropertyChangeNotifier, intrinsic.flash.utils.IExternalizable, intrinsic.mx.core.IUID {

	/** Accessors */
	public int length;
	public String uid;
	public intrinsic.Array source;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ArrayList() {
}

public ArrayList(intrinsic.Array arg0) {
}


/** Static Methods */

/** Methods */
public native void readExternal(intrinsic.flash.utils.IDataInput arg0);
public native String toString();
public native void itemUpdated(Object arg0);
public native void itemUpdated(Object arg0, Object arg1);
public native void itemUpdated(Object arg0, Object arg1, Object arg2);
public native void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public native Object getItemAt(int arg0);
public native Object getItemAt(int arg0, int arg1);
public native void removeAll();
public native void addItemAt(Object arg0, int arg1);
public native int getItemIndex(Object arg0);
public native boolean removeItem(Object arg0);
public native void addItem(Object arg0);
public native Object setItemAt(Object arg0, int arg1);
public native intrinsic.Array toArray();
public native Object removeItemAt(int arg0);
public native void writeExternal(intrinsic.flash.utils.IDataOutput arg0);

}
